// creator  : weidu.exe (version 23100)
// argument : _OSMADI.DLG
// game		 : .
// source	 : ./override/_OSMADI.DLG
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~_OSMADI~

IF ~True()
~ THEN BEGIN 0 // from:
  SAY #78199 /* ~Arrogant fools!  You return to the very slaughter for which you were responsible.  Your blood will soak the ground before I allow any of you to leave!  I will avenge the deaths of my brothers!~ */
  IF ~~ THEN REPLY #78200 /* ~What are you talking about, we've killed no one.  I think you're a little addled in the head, perhaps you should calm down so that we can figure out who really killed your 'brothers.'~ */ GOTO 1
  IF ~~ THEN REPLY #78201 /* ~We killed your brothers.  We admit it freely.  We drank their blood and ate their spleens.~ */ GOTO 2
  IF ~Global("X#FaldornOsmadi","GLOBAL",0)
InParty("faldorn")
InMyArea("faldorn")
!StateCheck("faldorn",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#FaldornOsmadi","GLOBAL",1)~ EXTERN ~_FALDOJ~ 87
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #78202 /* ~You think your excuses can work on me!  I know what you are, what all of you are!  Let the wrath of Malar destroy you and your faithless companions.~ */
  IF ~~ THEN DO ~CreateCreature("_CORSONE",[4677.625],0)
CreateCreature("_BEARCA",[4371.625],0)
CreateCreature("_BEARCA",[4122.648],0)
Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #78218 /* ~You'll pay for your crimes!  The wrath of Malar will strike you down.~ */
  IF ~~ THEN DO ~CreateCreature("_CORSONE",[4677.625],0)
CreateCreature("_BEARCA",[4371.625],0)
CreateCreature("_BEARCA",[4122.648],0)
Enemy()
~ EXIT
  IF ~Global("X#ImoenOsmadi1","GLOBAL",0)
InParty("imoen")
InMyArea("imoen")
!StateCheck("imoen",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#ImoenOsmadi1","GLOBAL",1)~ EXTERN ~_IMOEN2~ 209
END

IF ~~ THEN BEGIN 3 // from:
  SAY #100399 /* ~You'll pay!~ */
  IF ~~ THEN DO ~CreateCreature("_CORSONE",[4677.625],0)
CreateCreature("_BEARCA",[4371.625],0)
CreateCreature("_BEARCA",[4122.648],0)
Enemy()
~ EXIT
END
